<html version="2.0">
<head>
<title>Log Filter</title>
</head>
<body>
<center>
<h1>LDAS Log Filter</h1>
</center>
<br><br>
<p>Log Filter-1 and Log Filter-2 are pages that support log data extraction based
on Job Id or time range. Each page allow a different set of log filters to be
specified and shown on its own display popup window. For each page:

<h2></h2><p>
<ol>
	<li>Select the radio button to filter either by JobId or time range.</li><p>
	<li>If time range is desired, specify the time ranges: 
	one easy way is to select one of the time
	options: <b>last minute, last hour, last day</b> to get some
	time in the entry fields and then modify the times to your desire range.</li><p>	
	<li>If you check off <b>Logs to Web Browser only</b> option, the logs are
	returned in the temporary file in $::TMPDIR/Filter-n.html but no popup is created.
	::TMPDIR is a global variable in cmonClient resources used to specify the path of
	the directory to create temporary files. It is usually the <b>tmp</b> subdirectory 
	in the current work directory.
	You can use your web browser to open the file to view it. <p>
	
	<li>Additional filtering options on the right side of the screen can be applied, select
		one of the following by hitting the appropriate radio button:<p>
		<ul>
			<li>No additional filtering, all relevant logs are to be included.</li>
			<li>Filter on regular expression: supply one in the entry box.</li>
			<li>Filter on severity of logs, check all that apply: <font color='red'>Fatal</font>,
			<font color='orange'>Non-Fatal</font>
			<font color='yellow'>Warning</font>,
			<font color='blue'>Note</font> and
			<font color='green'>Normal</font> errors.
			<li>Filter on APIs: select logs from one or more APIs by hitting the
			check button for each; only logs from the
			selected APIs will be filtered. <b>select all</b> or
			<b>deselect all</b> option buttons faciliate selecting all or none of the APIs.
			At least one API must be selected.</li><p>
		</ul>
	</li>
	<li>Submit request to server by hitting the <b>SUBMIT</b> button.</li>
<p>
Response: <p>
Relevant jobs are displayed in a popup window.<p>
<img src='cmonClient-logs.gif' width="800" height="700"><p><p>

<p><p>
After logs have been displayed, the following functions are permitted:<p>

	<li>You can put the log display to your web brower with the following
		temporary file created by cmonClient : $::TMPDIR/Filter-n.html
		where n is 1 for Log Filter 1 and 2 for Log Filter 2. ::TMPDIR is a
		global variable specified in cmonClient resources on the path of
		the directory to create temporary files. It is usually the <b>tmp</b> subdirectory 
		in the current work directory.
		You can print
		the logs via your web browser. If you request new logs on the same
		filter page, you can just reload the web browser page each time.
	</li><p>	
	<li>You can use the search button to popup the search dialog for look for
		a pattern within the log. The pattern located will be highlighted
		and the search goes forward or backward depending on user specification.
	</li>
	<li>Printing can also be done by the utility xhtml2ps in /ldcg/bin. First convert
		the temporary file $::TMPDIR/Filter-n.html to postscript; then print
		on the postscript output. 
	</li>
</ol>
<p>
</body>
</html>
